Page MenuHomePhabricator

Add comment to search-related eventlogging in iOS and Android apps to inform Discovery of changes
Closed, ResolvedPublic1 Story Points

Description

Discovery has dashboard which track the success and user flow of search in the apps at http://discovery.wmflabs.org/metrics/#app_events. In order for this dashboard to contain correct data, it needs to be actively maintain. That means that whenever any new actions are added to the schemas in the apps, or other major changes are made, a quick heads-up to Discovery would be appreciated so that we can update the dashboards.

So that the above is more likely to happen, let's add a small comment in the search-related eventlogging classes in the iOS and Android apps (WMFSearchFunnel.m and SearchFunnel.java, respectively) so that anyone changing the code (e.g. updating schema revision #) is more likely to contact us.

Event Timeline

Deskana created this task.Aug 23 2016, 10:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 23 2016, 10:52 PM

Heads up to @JMinor and @Dbrant on this one. It's not high priority, so feel free to pick it up whenever you get around to it.

I'd also appreciate any other thoughts you have on how we can keep synced up better on changes to the schemas. :-)

debt triaged this task as Low priority.Aug 24 2016, 3:21 PM
debt added a subscriber: debt.

Just as a backstory to this ticket - it was raised during our sprint planning meeting after we talked about the work done on T143447.

mpopov updated the task description. (Show Details)Aug 24 2016, 10:40 PM

Change 313911 had a related patch set uploaded (by Bearloga):
Add comment to search-related eventlogging to inform Discovery of changes

https://gerrit.wikimedia.org/r/313911

mpopov claimed this task.Oct 3 2016, 9:30 PM
mpopov set the point value for this task to 1.
mpopov moved this task from Backlog to Needs review on the Discovery-Analysis (Current work) board.

Change 313911 merged by jenkins-bot:
Add comment to search-related eventlogging to inform Discovery of changes

https://gerrit.wikimedia.org/r/313911

Nice work, @mpopov!

Thanks! PR & patch set have both been merged :D

debt closed this task as Resolved.Oct 7 2016, 9:23 PM

woohoo!